#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.4
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kfourinline
Summary:	kfourinline
Name:		ka5-%{kaname}
Version:	23.08.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	992b2b094281f907f9c579bf1fefd48f
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel >= 5.11.1
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka5-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdnssd-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KFourInLine is a board game for two players based on the Connect-Four
game. The players try to build up a row of four pieces using different
strategies.

%description -l pl.UTF-8
KFourInLine jest grą planszową dla dwóch graczy opartą na grze
Connect-Four (Połącz-Cztery). Gracze starają się zbudować rząd składający
się z czterech elementów używając różnych strategii.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kfourinline
%attr(755,root,root) %{_bindir}/kfourinlineproc
%{_desktopdir}/org.kde.kfourinline.desktop
%{_datadir}/config.kcfg/kwin4.kcfg
%{_iconsdir}/hicolor/128x128/apps/kfourinline.png
%{_iconsdir}/hicolor/16x16/apps/kfourinline.png
%{_iconsdir}/hicolor/22x22/apps/kfourinline.png
%{_iconsdir}/hicolor/32x32/apps/kfourinline.png
%{_iconsdir}/hicolor/48x48/apps/kfourinline.png
%{_iconsdir}/hicolor/64x64/apps/kfourinline.png
%{_datadir}/kfourinline
%{_datadir}/metainfo/org.kde.kfourinline.appdata.xml
%{_datadir}/qlogging-categories5/kfourinline.categories
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kfourinline.git;a=log;h=master

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f6cb6eb
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d55af64
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 775a392
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b614403
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c0d6f13
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 43f4d6e
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> aef7c98
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e3b90ca
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c5841fd
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 03729e2
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a676e12
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cb38011
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4c7dbb5
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ec70da1
- rebuild against QT 5.15.8

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> dd3ad94
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7b566fe
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7322987
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e4f720c
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bf5a76b
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6da6dcb
- updated to 22.08.0

